/*
 * File: TouchBoard_X_handle_10ms.c
 *
 * Code generated for Simulink model 'P417_SWTR_App'.
 *
 * Model version                  : 1.150
 * Simulink Coder version         : 8.13 (R2017b) 24-Jul-2017
 * C/C++ source code generated on : Thu Dec 15 23:34:40 2022
 *
 * Target selection: ert.tlc
 * Embedded hardware selection: Intel->x86-64 (Windows64)
 * Code generation objectives: Unspecified
 * Validation result: Not run
 */

#include "TouchBoard_X_handle_10ms.h"

/* Include model header file for global data */
#include "P417_SWTR_App.h"
#include "P417_SWTR_App_private.h"

/* System initialize for function-call system: '<S2>/TouchBoard_X_handle_10ms' */
void P_TouchBoard_X_handle_10ms_Init(B_TouchBoard_X_handle_10ms_P4_T *localB)
{
  /* SystemInitialize for Atomic SubSystem: '<S27>/Subsystem_selX' */
  P417_SWTR_A_Subsystem_selX_Init(&localB->Slect);

  /* End of SystemInitialize for SubSystem: '<S27>/Subsystem_selX' */
}

/* Output and update for function-call system: '<S2>/TouchBoard_X_handle_10ms' */
void P417_S_TouchBoard_X_handle_10ms(uint8_T rtu_TouchBoard_X_input, uint8_T
  rtu_Board_XY_Trigg_afhd_in, uint8_T rtu_Voice_Trigg_afhd_in, uint8_T
  rtu_Vol_Trigg_afhd_in, uint8_T rtu_Menu_Trigg_afhd_in,
  B_TouchBoard_X_handle_10ms_P4_T *localB)
{
  /* Outputs for Atomic SubSystem: '<S27>/Subsystem_selX' */

  /* RelationalOperator: '<S102>/Compare' incorporates:
   *  Constant: '<S100>/Constant'
   *  Constant: '<S101>/Constant'
   *  Constant: '<S102>/Constant'
   *  Constant: '<S99>/Constant'
   *  RelationalOperator: '<S100>/Compare'
   *  RelationalOperator: '<S101>/Compare'
   *  RelationalOperator: '<S99>/Compare'
   */
  P417_SWTR_App_Subsystem_selX((uint8_T)(rtu_Board_XY_Trigg_afhd_in > 0),
    (uint8_T)(rtu_Voice_Trigg_afhd_in > 0), (uint8_T)(rtu_Vol_Trigg_afhd_in > 0),
    (uint8_T)(rtu_Menu_Trigg_afhd_in > 0), &localB->Slect);

  /* End of Outputs for SubSystem: '<S27>/Subsystem_selX' */

  /* MultiPortSwitch: '<S27>/Multiport Switch' incorporates:
   *  Constant: '<S27>/Constant'
   *  Constant: '<S27>/Constant1'
   *  Constant: '<S27>/Constant2'
   */
  switch (localB->Slect) {
   case 1:
    RTE_Set_CAN_SteerWhlTouchBdRiTouchPosnX(rtu_TouchBoard_X_input);
    break;

   case 2:
    RTE_Set_CAN_SteerWhlTouchBdRiTouchPosnX(0U);
    break;

   case 3:
    RTE_Set_CAN_SteerWhlTouchBdRiTouchPosnX(0U);
    break;

   case 4:
    RTE_Set_CAN_SteerWhlTouchBdRiTouchPosnX(0U);
    break;
  }

  /* End of MultiPortSwitch: '<S27>/Multiport Switch' */
}

/*
 * File trailer for generated code.
 *
 * [EOF]
 */
